Debian Linux armhf w/ Eureka error

If it's not ZDoom, it goes here.
User avatar
Athel
Posts: 777
Joined: Wed Aug 21, 2013 11:31 am
Location: New Jersey

Debian Linux armhf w/ Eureka error

Post by Athel »

Spoiler:
Thanks to a good old friend of mine, I have a Debian Linux system. However, after installing Eureka and its ddependencies, this happens when I attempt to launch it. The only issue I can think of is that its asking for a nonexistamt libfltk_images1.3.1.

Any help is appreciated. Thanks! And sorry for stupidity! :-)
User avatar
phantombeta
Posts: 2093
Joined: Thu May 02, 2013 1:27 am
Operating System Version (Optional): Windows 10
Graphics Processor: nVidia with Vulkan support
Location: Brazil

Re: Debian Linux armhf w/ Eureka error

Post by phantombeta »

Mmmm... Why don't you try installing Mono and using GZDoom Builder?
You should be able to use GZDB with Mono...
User avatar
Athel
Posts: 777
Joined: Wed Aug 21, 2013 11:31 am
Location: New Jersey

Re: Debian Linux armhf w/ Eureka error

Post by Athel »

Mono, eh? Is there a precompiled build?
User avatar
phantombeta
Posts: 2093
Joined: Thu May 02, 2013 1:27 am
Operating System Version (Optional): Windows 10
Graphics Processor: nVidia with Vulkan support
Location: Brazil

Re: Debian Linux armhf w/ Eureka error

Post by phantombeta »

I dunno. If you're talking about Mono, you should be able to find a package.
If you're talking about GZDB, I believe Mono should be able to compile it without an IDE just like the .NET Framework can.
I don't really know how to use Mono (I use .NET) and I only use Linux occasionally...
[edit=ninja]I believe you should be able to find documentation for it easily, tho'.[/edit]
User avatar
Athel
Posts: 777
Joined: Wed Aug 21, 2013 11:31 am
Location: New Jersey

Re: Debian Linux armhf w/ Eureka error

Post by Athel »

OK...I'm still curious about this error but I'll try it.

Wait will SLADE work with this?
User avatar
Matt
Posts: 9696
Joined: Sun Jan 04, 2004 5:37 pm
Preferred Pronouns: They/Them
Operating System Version (Optional): Debian Bullseye
Location: Gotham City SAR, Wyld-Lands of the Lotus People, Dominionist PetroConfederacy of Saudi Canadia

Re: Debian Linux armhf w/ Eureka error

Post by Matt »

If you want to use SLADE not just use it? It compiles fine on my #! Waldorf 64-bit once I get the dependencies installed.
User avatar
Athel
Posts: 777
Joined: Wed Aug 21, 2013 11:31 am
Location: New Jersey

Re: Debian Linux armhf w/ Eureka error

Post by Athel »

That's the thing. I'm not sure how I go about compiling, and since I have this error I figure I better fix it up now than to possibly deal with another program with the same error later. I was kinda looking for a precompiled Slade .deb file but I guess that's also nonexistant.

I think I found something, PlayOnLinux, which should help me, but I still want to know how to fix this error thing.
User avatar
Matt
Posts: 9696
Joined: Sun Jan 04, 2004 5:37 pm
Preferred Pronouns: They/Them
Operating System Version (Optional): Debian Bullseye
Location: Gotham City SAR, Wyld-Lands of the Lotus People, Dominionist PetroConfederacy of Saudi Canadia

Re: Debian Linux armhf w/ Eureka error

Post by Matt »

Seems like as good a time to learn as any!

Might be easier to learn to compile ZDoom first, then trying SLADE later (as the latter has some less obviously available dependencies).
User avatar
Athel
Posts: 777
Joined: Wed Aug 21, 2013 11:31 am
Location: New Jersey

Re: Debian Linux armhf w/ Eureka error

Post by Athel »

I actually tried compiling Zandronum on Linux. But I'll try ZDoom. IIRC, they both require the same dependencies.

I'll give it a shot, but I badly wanted to see what Eureka had to offer.

Return to “Off-Topic”